Merge branch 'master' of ssh://dbrownell@openocd.git.sourceforge.net/gitroot/openocd...
[openocd.git] / bootstrap
1 #!/bin/sh -e
2 # Run the autotools bootstrap sequence to create the configure script
3
4 if libtoolize --version >/dev/null 2>&1; then
5         libtoolize="libtoolize"
6 elif glibtoolize --version >/dev/null 2>&1; then
7         libtoolize="glibtoolize"
8 else
9         echo "libtool is required" >&2
10         exit 1
11 fi
12
13 # bootstrap the autotools
14 (
15 set -x
16 aclocal
17 ${libtoolize} --automake --copy
18 autoconf
19 autoheader
20 automake --gnu --add-missing --copy
21 )
22
23 # AM_MAINTAINER_MODE requires --enable-maintainer-mode from everyone using
24 # current source snapshots (working from GIT, or some source snapshot, etc)
25 # otherwise the documentation will fail to build due to missing version.texi
26 echo "Bootstrap complete; you can './configure --enable-maintainer-mode ....'"